Subject: Re: SEDT (VMS EDT-like editor) under Cygwin ?
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 29 Nov 2004 00:35:53 +0100

Jim McCarthy wrote:

> Sorry, no patchfile, but ...
> 
> 1) Edit sedt.c and change all 'stricmp' to 'sedt_stricmp' to avoid
>    conflict with 'stricmp' declaration in /usr/include/string.h
> 
> 2) In comd.c, add #include <errno.h> before line #include "proto.h"
> 
> With these changes, build should result in a functional sedt.exe
> file.

Well, not really, I found two more issues:

diff -urd sedt/term.c sedt-0.0/term.c
--- sedt/term.c	1994-08-28 20:51:34.000000000 +0200
+++ sedt-0.0/term.c	2004-11-28 23:17:21.615971200 +0100
@@ -747,7 +747,7 @@
    }
    _exit(1);
   }
-#if !defined(SCO) & !defined(HPUX)
+#if !defined(SCO) & !defined(HPUX) & !defined(__CYGWIN__)
   if (ioctl(0,TIOCGWINSZ,&ws)!=-1&&ws.ws_row!=0&&ws.ws_col!=0)
   {Scr_Length=ws.ws_row;
    Scr_Width=ws.ws_col;
diff -urd sedt/vars.c sedt-0.0/vars.c
--- sedt/vars.c	1994-08-28 20:51:36.000000000 +0200
+++ sedt-0.0/vars.c	2004-11-28 23:14:58.730512000 +0100
@@ -279,7 +279,7 @@
  int Saved_Character=0;
  #endif

-#if defined(UNIX) & !(defined(SCO) | defined(HPUX))
+#if defined(UNIX) & !(defined(SCO) | defined(HPUX) | defined(__CYGWIN__))
  #include <sys/ioctl.h>
  struct winsize ws;
  	/*Structure for terminal height and width*/

I think it is not really working.  In the docs is mentioned that
the backtick character is what : is in vim, but it seems to have
no effect when I hit backtick, I cannot delete or save or exit...

What you could try to do about your problem is:
add /usr/lib/automode.o to the objects and link it in the executable.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/